# Empty QML Type

A list item with no contents. More...

Import Statement: | import Lomiri.Components.ListItems 1.3
Inherits: | AbstractButton
Inherited By: | Base, Expandable, ItemSelector, OptionSelector, SingleControl, Standard, and ValueSelector

- List of all members, including inherited members

## Properties

- backgroundIndicator : list<Item>
- confirmRemoval : bool
- divider : ThinDivider
- highlightWhenPressed : bool
- removable : bool
- selected : bool
- showDivider : bool
- swipingState : string
- waitingConfirmationForRemoval : bool

## Signals

- itemRemoved()

## Methods

- cancelItemRemoval()

## Detailed Description

Note: The component is deprecated. Use ListItem component instead. The Empty class can be used for generic list items containing other components such as buttons. It is selectable and can take mouse clicks. It will attempt to detect if a thin dividing line at the bottom of the item is suitable, but this behaviour can be overridden (using showDivider). For specific types of list items, see its subclasses.

The item will still remain in memory after being removed from the list so it is up to the application to destroy it. This can be handled by the signal itemRemoved that is fired after all animation is done.

Examples:

    import Lomiri.Components 1.3
    import Lomiri.Components.ListItems 1.3 as ListItem

    Item {
        Model {
            id: contactModel

            ListElement {
                name: "Bill Smith"
                number: "555 3264"
            }
            ListElement {
                name: "John Brown"
                number: "555 8426"
            }
        }

        ListView {
             width: 180; height: 200
             model: contactModel

             delegate: ListItem.Empty {
                height: units.gu(6)
                removable: true
                onItemRemoved: contactModel.remove(index)
                Text {
                    text: name + " " + number
                    anchors.centerIn: parent
                }
            }
        }
    }

See the documentation of the derived classes of Empty for more examples.

## Property Documentation

backgroundIndicator : list<Item>

Defines the item background item to be showed during the item swiping

confirmRemoval : bool

Defines if the item needs confirmation before removing by swiping.

divider : ThinDivider

Exposes our the bottom line divider.

highlightWhenPressed : bool

Highlight the list item when it is pressed. This is used to disable the highlighting of the full list item when custom highlighting needs to be implemented (for example in ListItem.Standard which can have a split).

removable : bool

Defines if this item can be removed or not.

selected : bool

Specifies whether the list item is selected.

showDivider : bool

Set to show or hide the thin bottom divider line (drawn by the ThinDivider component). This line is shown by default except in cases where this item is the delegate of a ListView.

[read-only] swipingState : string

The current swiping state ("SwipingRight" or "")

[read-only] waitingConfirmationForRemoval : bool

Defines if the item is waiting for the user interaction during the swipe to delete

## Signal Documentation

itemRemoved()

This handler is called when the item is removed from the list

Note: The corresponding handler is `onItemRemoved`.

## Method Documentation

cancelItemRemoval()

Cancel item romoval